/*  g_ipc_opcje.h - command line parameters' parser [header file]
 *  
 *  (C) Copyright XII 2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __G_IPC_OPCJE_H
#define __G_IPC_OPCJE_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int g_ipc_skanuj_opcje(int *argc, char ***argv);
int g_atoi(char **buf, int *dest);
int g_pokaz_pomoc(char *filename);
int g_pokaz_przekazane_opcje(void);

typedef enum { NONE, INT, END_OF_VALUES } g_type_t;

typedef enum { G_SYSV_QUEUE, G_SYSV_SHARED, G_SYSV_SHARED2,
#ifdef HAS_POSIX_QUEUES
	G_POSIX_QUEUE, G_POSIX_QUEUE2,
#endif
	G_POSIX_SHARED,	G_ALL_OPTS, G_TESTS_NO, 
	G_HELP, G_END_OF_OPTS } g_option_t;

typedef struct {
	char l;
	const char desc[60];
	g_type_t type;
	int maxocc;
	char *argptr;
	int val;
} g_opcja_t;

extern g_opcja_t g_opcje[];

#endif /* __G_IPC_OPCJE_H */
